Skip to content
SoundSyncAudio software platform

API Reference

Billing and Settlements API

Developer-authenticated billing, statements, invoices, settlement balance, ledger, batches, and payout-readiness endpoints.

POST /activateGET /validatePOST /deactivate
Product credentials
Activation request
Entitlement check
Device registration
Periodic validation
Deactivation when needed
Live Moonwave FX products workspace showing the SoundSync product management surface for audio software releases.

SoundSync

Verified endpoints

These endpoints are route-backed in the current platform.

GET /api/developer/billing/status

Fetch developer billing status and billing gate.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
Returns
{ status } including billing_gate/billingGate.
Side effects
None for read endpoints unless noted.
GET /api/developer/billing/payment-method

Fetch saved developer billing payment method preview.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
Returns
{ payment_method }.
Side effects
None for read endpoints unless noted.
POST /api/developer/billing/portal-session

Create Stripe billing portal session.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
Returns
Portal session URL/metadata.
Side effects
Creates Stripe Billing Portal session.
GET /api/developer/billing/statements

List developer billing statements.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
  • pagination/filter query
Returns
statements[].
Side effects
None for read endpoints unless noted.
GET /api/developer/billing/invoices

List developer billing invoices.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
Returns
invoices[].
Side effects
None for read endpoints unless noted.
GET /api/developer/billing/invoices/:invoiceId

Fetch developer billing invoice.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
  • invoiceId
Returns
{ invoice }.
Side effects
None for read endpoints unless noted.
GET /api/developer/billing/statements/:statementId/invoice

Fetch invoice for a statement.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
  • statementId
Returns
{ invoice }.
Side effects
None for read endpoints unless noted.
GET /api/developer/settlements/balance

Fetch settlement balance and payout account state.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
Returns
balance/account payload.
Side effects
None for read endpoints unless noted.
POST /api/developer/settlements/connect-session

Create Stripe Connect payout onboarding/session.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
  • returnTo optional
  • collectionFields optional
Returns
Connect session URL/metadata.
Side effects
Creates Stripe Connect account link/session.
GET /api/developer/settlements/ledger

List settlement ledger.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
  • pagination/filter query
Returns
ledger entries.
Side effects
None for read endpoints unless noted.
GET /api/developer/settlements/batches

List settlement batches.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
Returns
batches[].
Side effects
None for read endpoints unless noted.
GET /api/developer/settlements/payout-readiness

Fetch payout readiness.

Auth
Developer JWT.
Scope
Developer-owned or public storefront/marketplace scope as noted.
Request fields
  • Developer JWT
Returns
payout status booleans.
Side effects
None for read endpoints unless noted.

API reference

Endpoint groups are organized by authentication model, product scope, request shape, response shape, errors, idempotency, and integration surface.

GET/POST

Billing API

/docs/api/billing

Developer billing, statements, invoices, settlements, and payouts.